Package org.apache.cxf.annotations

# Annotation Interface FactoryType

@Documented @Retention(RUNTIME) @Target(TYPE) @Inherited public @interface FactoryType
Defines the factory used for the service. Either use the factoryClass attribute to define your own factory or use one of the "value" convenience enums.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FactoryType.DEFAULT`
  `static enum`
  `FactoryType.Type`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String[]`
  `args`
  `Class<? extends Factory>`
  `factoryClass`
  The class for the factory.
  `FactoryType.Type`
  `value`

- ## Element Details

  - ### value

    FactoryType.Type value
    Default:
      Singleton

  - ### args

    String[] args
    Default:
      {}

  - ### factoryClass

    Class<? extends Factory> factoryClass
    The class for the factory. It MUST have a constructor that takes two arguments: 1) The Class for the service 2) String[] of the args from above
    Default:
      org.apache.cxf.annotations.FactoryType.DEFAULT.class